/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.war.impl.configurator;

import java.util.List;

import org.ow2.util.ee.metadata.common.impl.configurator.CommonFieldMetadataConfigurator;
import org.ow2.util.ee.metadata.war.api.IWarClassMetadata;
import org.ow2.util.ee.metadata.war.api.IWarFieldMetadata;
import org.ow2.util.ee.metadata.war.api.IWarMethodMetadata;
import org.ow2.util.ee.metadata.war.impl.WarFieldMetadata;
import org.ow2.util.scan.api.configurator.metadata.specific.ISpecificClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * WarFieldMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarFieldMetadataConfigurator extends
        CommonFieldMetadataConfigurator<IWarClassMetadata, IWarMethodMetadata, IWarFieldMetadata> {

    /**
     * Constructor.
     * @param jField signature
     * @param warClassMetadata parent
     * @param annotationParsingDesactived annotationParsingDesactived
     * @param specificClassConfiguratorList specificClassConfiguratorList
     */
    public WarFieldMetadataConfigurator(
            final JField jField,
            final IWarClassMetadata warClassMetadata,
            final boolean annotationParsingDesactived,
            final List<ISpecificClassConfigurator<IWarClassMetadata, IWarMethodMetadata, IWarFieldMetadata>>
                specificClassConfiguratorList) {
        super(new WarFieldMetadata(jField, warClassMetadata), specificClassConfiguratorList);
        if (!annotationParsingDesactived) {
            registerAnnotationVisitor();
        }
    }

}
