/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.war.impl.specific;

import java.util.Set;

import org.ow2.util.ee.deploy.api.deployable.WARDeployable;

/**
 *
 * @author Gael Lalire
 */
public interface ISpecificWarDeployableFactory {

    /**
     * This method is call before the scan of class bytecode.
     * You can analyze the content of deployable to create your configurator.
     * @param deployable the deployable to parse
     * @param referencedClasses a set you should fill with classes you need to analyze
     * @return a configurator which determine annotations you need to parse
     */
    ISpecificWarDeployableMetadataConfigurator beforeScan(WARDeployable deployable, final Set<String> referencedClasses);

    /**
     * You can change your metadata at this point.
     */
    void afterScan();

}
